Package org.eclipse.birt.report.engine.api.script

# Class EngineScriptableClassInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ScriptableClassInfo
org.eclipse.birt.report.engine.api.script.EngineScriptableClassInfo

All Implemented Interfaces:
  `org.eclipse.birt.report.model.api.scripts.IScriptableObjectClassInfo`

public class EngineScriptableClassInfo extends org.eclipse.birt.report.model.api.scripts.ScriptableClassInfo implements org.eclipse.birt.report.model.api.scripts.IScriptableObjectClassInfo

## Constructor Summary

Constructors
Constructor
Description
`EngineScriptableClassInfo()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.api.metadata.IClassInfo`
`getScriptableClass(String className)`

### Methods inherited from class org.eclipse.birt.report.model.api.scripts.ScriptableClassInfo

`getClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EngineScriptableClassInfo

public EngineScriptableClassInfo()

## Method Details

### getScriptableClass

public org.eclipse.birt.report.model.api.metadata.IClassInfo getScriptableClass(String className)

Specified by:
  `getScriptableClass` in interface `org.eclipse.birt.report.model.api.scripts.IScriptableObjectClassInfo`